Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.eclipse.birt.report.model.api.validators
Class TableHeaderContextContainmentValidator

    java.lang.Object
      org.eclipse.birt.report.model.validators.AbstractSemanticValidator
          org.eclipse.birt.report.model.validators.AbstractElementValidator
              org.eclipse.birt.report.model.api.validators.TableHeaderContextContainmentValidator

    public class TableHeaderContextContainmentValidator

extends org.eclipse.birt.report.model.validators.AbstractElementValidator

Validates the element is not allowed to appear in the specific slot of the given container type in any level.

### Rule

The rule is that whether the given element can recursively resides in the specific slot of specific container type.

### Applicability

This validator is only applied to `TableItem` and `ListItem` currently.

Field Summary

Fields inherited from class org.eclipse.birt.report.model.validators.AbstractSemanticValidator
`modules, name`

Constructor Summary
`TableHeaderContextContainmentValidator()`

Method Summary
`static TableHeaderContextContainmentValidator` | `getInstance()` Returns the singleton validator instance.
`java.util.List` | `validate(org.eclipse.birt.report.model.core.Module module, org.eclipse.birt.report.model.core.DesignElement element)` Validates whether the given element can recursively resides in the specific slot of specific container type.
`java.util.List` | `validateForAdding(org.eclipse.birt.report.model.core.Module module, org.eclipse.birt.report.model.core.ContainerContext containerInfo, org.eclipse.birt.report.model.core.DesignElement toAdd)` Validates whether the given element can recursively resides in the specific slot of specific container type when trying to add an element.
`java.util.List` | `validateForAdding(org.eclipse.birt.report.model.core.Module module, org.eclipse.birt.report.model.core.DesignElement element, IElementDefn toAdd)` Validates whether the given element can recursively resides in the specific slot of specific container type when trying to add an element.
`java.util.List` | `validateForAdding(org.eclipse.birt.report.model.core.Module module, org.eclipse.birt.report.model.core.DesignElement element, int slotId, org.eclipse.birt.report.model.core.DesignElement toAdd)` Deprecated. since birt2.2, replaced by `validateForAdding(Module, ContainerContext, DesignElement)`

Methods inherited from class org.eclipse.birt.report.model.validators.AbstractSemanticValidator
`canApplyToDesign, canApplyToLibrary, getName, isTemplateParameterDefinition, setModules, setName`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### TableHeaderContextContainmentValidator

    public TableHeaderContextContainmentValidator()

Method Detail

### getInstance

    public static TableHeaderContextContainmentValidator getInstance()

  Returns the singleton validator instance.

  Returns:
    the validator instance

### validate

    public java.util.List validate(org.eclipse.birt.report.model.core.Module module,
                                   org.eclipse.birt.report.model.core.DesignElement element)

  Validates whether the given element can recursively resides in the specific slot of specific container type.

  Specified by:
    `validate` in class `org.eclipse.birt.report.model.validators.AbstractElementValidator`
  Parameters:
    `module` - the module
    `element` - the element to validate
  Returns:
    error list, each of which is the instance of `SemanticException`.

### validateForAdding

    public java.util.List validateForAdding(org.eclipse.birt.report.model.core.Module module,
                                            org.eclipse.birt.report.model.core.ContainerContext containerInfo,
                                            org.eclipse.birt.report.model.core.DesignElement toAdd)

  Validates whether the given element can recursively resides in the specific slot of specific container type when trying to add an element.

  Parameters:
    `module` - the module
    `containerInfo` - the container information
    `toAdd` - the element to add
  Returns:
    error list, each of which is the instance of `SemanticException`.

### validateForAdding

    public java.util.List validateForAdding(org.eclipse.birt.report.model.core.Module module,
                                            org.eclipse.birt.report.model.core.DesignElement element,
                                            int slotId,
                                            org.eclipse.birt.report.model.core.DesignElement toAdd)

  Deprecated. since birt2.2, replaced by `validateForAdding(Module, ContainerContext, DesignElement)`

  Validates whether the given element can recursively resides in the specific slot of specific container type when trying to add an element.

  Parameters:
    `module` - the module
    `element` - the container element
    `slotId` - the slot where the new element to insert
    `toAdd` - the element to add
  Returns:
    error list, each of which is the instance of `SemanticException`.

### validateForAdding

    public java.util.List validateForAdding(org.eclipse.birt.report.model.core.Module module,
                                            org.eclipse.birt.report.model.core.DesignElement element,
                                            IElementDefn toAdd)

  Validates whether the given element can recursively resides in the specific slot of specific container type when trying to add an element.

  Parameters:
    `module` - the root module of the element to validate
    `element` - the container element
    `toAdd` - the element definition to add
  Returns:
    error list, each of which is the instance of `SemanticException`.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2008 Actuate Corp. All rights reserved.